package com.sun.org.apache.xerces.internal.impl.xs.opti;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;
import org.w3c.dom.Attr;
import org.w3c.dom.NamedNodeMap;

public class NamedNodeMapImpl implements NamedNodeMap
{
    Attr[] attrs;
    
    public NamedNodeMapImpl(Attr[] attrs) {
        this.attrs = attrs;
    }
    
    @Override
    public Node getNamedItem(String name) {
        int i = 0;
        while (i < this.attrs.length) {
            if (this.attrs[i].getName().equals(name)) {
                return this.attrs[i];
            }
            ++i;
        }
        return null;
    }
    
    @Override
    public Node item(int index) {
        if (index < 0 && index > this.getLength()) {
            return null;
        }
        return this.attrs[index];
    }
    
    @Override
    public int getLength() {
        return this.attrs.length;
    }
    
    @Override
    public Node getNamedItemNS(String namespaceURI, String localName) {
        int i = 0;
        while (i < this.attrs.length) {
            if (this.attrs[i].getName().equals(localName) && this.attrs[i].getNamespaceURI().equals(namespaceURI)) {
                return this.attrs[i];
            }
            ++i;
        }
        return null;
    }
    
    @Override
    public Node setNamedItemNS(Node arg) throws DOMException {
        throw new DOMException((short)9, "Method not supported");
    }
    
    @Override
    public Node setNamedItem(Node arg) throws DOMException {
        throw new DOMException((short)9, "Method not supported");
    }
    
    @Override
    public Node removeNamedItem(String name) throws DOMException {
        throw new DOMException((short)9, "Method not supported");
    }
    
    @Override
    public Node removeNamedItemNS(String namespaceURI, String localName) throws DOMException {
        throw new DOMException((short)9, "Method not supported");
    }
}
